﻿using Kivii.DataAnnotations;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Kivii.Samples.Entities
{
    [Api(Description = "地点配置")]
    [Alias(Configs.TableNameLocation)]
    public class Location : EntityWithMetadata
    {
        [InternalSetter]
        [DefaultEmptyGuid]
        public Guid OwnerKvid { get; set; }

        [InternalSetter]
        [StringLength(500)]//所属信息，记录当前数据的所属信息，可以是部门可以是组织可以是个人
        public string OwnerName { get; set; }

        [ApiMember(Description = "地点名称")]
        [Required]
        [StringLength(200)]
        public string Title { get; set; }

        [ApiMember(Description = "地点地址")]
        [StringLength(500), Default("")]
        public string Address { get; set; }

        /// <summary>
        /// 内部编码，唯一,样品在流转过程中必须传入目标地点的InternalCode
        /// </summary>
        [ApiMember(Description = "内部编码")]
        [StringLength(200), Required]
        [Unique()]
        public string InternalCode { get; set; }

        [ApiMember(Description = "配置类型")]
        [StringLength(50), Default("")]
        public string Type { get; set; }

        [InternalSetter]
        [DefaultEmptyGuid]
        public Guid ManagerKvid { get; set; }

        [InternalSetter]
        [StringLength(500)]
        public string ManagerName { get; set; }

        #region 文本 摘要 备注
        [ApiMember(Description = "摘要，最大500字")]
        //[IgnoreUpdate]
        [StringLength(500), Default("")]
        public string Summary { get; set; }

        [ApiMember(Description = "备注，最大2000字")]
        [StringLength(2000), Default("")]
        public string Remark { get; set; }
        #endregion
    }

}
